Package org.apache.felix.webconsole

# Interface ConfigurationPrinter

All Known Subinterfaces:
  `ModeAwareConfigurationPrinter`

@Deprecated @ConsumerType public interface ConfigurationPrinter
Deprecated.
This has been deprecated. Use the org.apache.felix.inventory API instead.
The `ConfigurationPrinter` is a service interface to be used by providers which want to hook into the display of the current configuration of the OSGi framework. A configuration printer is currently used in three modes: displayed in a tab of the configuration web console plugin, included in a downloadable zip of the configuration or a downloadable txt file. With the `WebConsoleConstants.CONFIG_PRINTER_MODES` property this service can specify when it should be included. The default mode is `MODE_ALWAYS`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODE_ALWAYS`
Deprecated.
The default mode - this printer is used in the web console and the zip.
`static final String`
`MODE_TXT`
Deprecated.
The txt mode - this printer is used in the txt.
`static final String`
`MODE_WEB`
Deprecated.
The web mode - this printer is used in the web console.
`static final String`
`MODE_ZIP`
Deprecated.
The zip mode - this printer is used in the zip.
`static final String`
`PROPERTY_MODES`
Deprecated.
Use `WebConsoleConstants.CONFIG_PRINTER_MODES`
`static final String`
`SERVICE`
Deprecated.
The service name under which services of this class must be registered to be picked for inclusion in the configuration report.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTitle()`
Deprecated.
Returns a human readable title string to be placed in front of the configuration report generated by the `printConfiguration(PrintWriter)` method.
`void`
`printConfiguration(PrintWriter printWriter)`
Deprecated.
Prints the configuration report to the given `printWriter`.

## Field Details

### SERVICE

static final String SERVICE
Deprecated.
The service name under which services of this class must be registered to be picked for inclusion in the configuration report.

### MODE_ALWAYS

static final String MODE_ALWAYS
Deprecated.
The default mode - this printer is used in the web console and the zip.

Since:
  3.0
See Also:
  - Constant Field Values

### MODE_WEB

static final String MODE_WEB
Deprecated.
The web mode - this printer is used in the web console.

Output of the configuration printer is HTML-escaped unless the `WebConsoleConstants.CONFIG_PRINTER_WEB_UNESCAPED` service registration property is set to `true`.

Since:
  3.0
See Also:
  - Constant Field Values

### MODE_ZIP

static final String MODE_ZIP
Deprecated.
The zip mode - this printer is used in the zip.

Since:
  3.0
See Also:
  - Constant Field Values

### MODE_TXT

static final String MODE_TXT
Deprecated.
The txt mode - this printer is used in the txt.

Since:
  3.0
See Also:
  - Constant Field Values

### PROPERTY_MODES

static final String PROPERTY_MODES
Deprecated.
Use `WebConsoleConstants.CONFIG_PRINTER_MODES`
The optional service property specifying the modes of the printer. If this property is missing or contains an unknown value, the default `MODE_ALWAYS` is used. The value of this property is either a single string or an array of strings.

Since:
  3.0
See Also:
  - Constant Field Values

## Method Details

### getTitle

String getTitle()
Deprecated.
Returns a human readable title string to be placed in front of the configuration report generated by the `printConfiguration(PrintWriter)` method.

Returns:
  the configuration title

### printConfiguration

void printConfiguration(PrintWriter printWriter)
Deprecated.
Prints the configuration report to the given `printWriter`. Implementations are free to print whatever information they deem useful.

Parameters:
  `printWriter` - where to write the configuration data. It might be flushed, but must not be closed.